package org.cyrano.editor.parts;

import java.awt.Graphics2D;
import java.awt.Point;

import org.cyrano.utils.Rect;

public interface ViewPart {

  public void paint(Graphics2D g2d);

  // --------------------------------------------------------------------------------

  public PartsRegister getPartsRegister();

  // --------------------------------------------------------------------------------

  public ViewPart getViewPartAt(Point point);

  // --------------------------------------------------------------------------------

  public Rect getRect();
}
