package org.cyrano.editor.parts;

import java.util.ArrayList;
import java.util.List;

public abstract class BaseContainerEditPart extends BaseEditPart //
    implements
      ContainerEditPart {

  private List<EditPart> editPartList = new ArrayList<EditPart>();

  // --------------------------------------------------------------------------------

  public BaseContainerEditPart(PartsRegister partsRegister) {
    super(partsRegister);
  }

  // --------------------------------------------------------------------------------

  @Override
  public void addChildren(EditPart children) {
    editPartList.add(children);
  }

  @Override
  public void delChildren(EditPart children) {
    editPartList.remove(children);
  }
}
