package org.cyrano.timetable.xjc;

import java.text.NumberFormat;
import java.util.ArrayList;
import java.util.List;

public class Slot //
    extends
      org.cyrano.timetable.xjc.generated.Slot {

  // --------------------------------------------------------------------------------
  // XXX: This is required only for the prolog version
  // --------------------------------------------------------------------------------

  public List<Hour> getHours() {
    List<Hour> ret = new ArrayList<Hour>();

    NumberFormat nf = NumberFormat.getInstance();
    nf.setMinimumFractionDigits(0);
    nf.setMaximumFractionDigits(0);
    nf.setMaximumIntegerDigits(2);
    nf.setMinimumIntegerDigits(2);

    for (int cur = beg; cur < end; cur++) {
      ret.add(new Hour(nf.format(cur), nf.format(cur + 1)));
    }

    return ret;
  }
}
